"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AsyncValidation = AsyncValidation;
exports.default = exports.AsyncValidationStatus = void 0;
var IDLE = "IDLE";
var PENDING = "PENDING";
var VALID = "VALID";
var INVALID = "INVALID";
var ERROR = "ERROR";
var AsyncValidationStatus = {
  IDLE: IDLE,
  PENDING: PENDING,
  VALID: VALID,
  INVALID: INVALID,
  ERROR: ERROR
};
exports.AsyncValidationStatus = AsyncValidationStatus;

function AsyncValidation(value) {
  var status = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : IDLE;
  this.value = value;
  this.status = status;
  this.message = "";
}

var _default = {
  AsyncValidationStatus: AsyncValidationStatus,
  AsyncValidation: AsyncValidation
};
exports.default = _default;