"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValidationResult = ValidationResult;
exports.default = void 0;

// the value should be a booean
function ValidationResult(value) {
  var message = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "";
  this.checkValueType(value);
  this.value = value;
  this.message = message;
}

ValidationResult.prototype.checkValueType = function (value) {
  if (typeof value !== "boolean") throw new TypeError("ValidationResult should have a boolean for the first argument.");
};

var _default = ValidationResult;
exports.default = _default;